﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.801
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Dialog As B4XDialog
	Private XUI As XUI
	Private DateTemplate As B4XDateTemplate
	Private btnDatum As B4XView
	Private Base As B4XView
	
	Private pnlLoadingIndicator As B4XView
	Private ldiLaden As B4XLoadingIndicator
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("frmAnmelden")
	
	DateTime.DateFormat = "dd.MM.yyyy"
	
	Base = Activity
	Dialog.Initialize (Base)
	DateTemplate.Initialize
	DateTemplate.MinYear = 2010
	DateTemplate.MaxYear = 2100
	
	'Montag als ersten Wochentag einstellen. Sonst wäre Sonntag der erste Wochentag.
	DateTemplate.FirstDay = 1
	
	'Farben anpassen, sodass sie zum Gesamtdesign passen!
	Dialog.Title = "Wähle das Rechnungsdatum."
	Dialog.TitleBarColor = 0xFF0A0B37 'Hintergrundfarbe der Titelzeile: dunkelblau
	Dialog.TitleBarTextColor = 0xFFFFBD59
	Dialog.ButtonsColor = 0xFF0A0B37 'Hintergrundfarbe der Buttons einstellen: dunkelblau
	Dialog.ButtonsTextColor = 0xFFFFBD59 'Farbe des Buttons einstellen: Gold
	Dialog.BackgroundColor = 0xFF0A0B37 'Hintergrundfarbe der Templates einstellen: dunkelblau
	DateTemplate.SelectedColor = 0xFFFFBD59 'Goldene Farbe von Buttons und co
	DateTemplate.DaysInMonthColor = XUI.Color_White 'Schriftfarbe der Monate weiß
	DateTemplate.DaysInWeekColor = XUI.Color_White 'Schriftfarbe der Tage weiß
	DateTemplate.lblMonth.TextColor = XUI.Color_White 'Schriftfarbe der Monatsauswahl weiß
	DateTemplate.lblYear.TextColor = XUI.Color_White 'Schriftfarbe der Jahresauswahl weiß
	For Each x As B4XView In Array(DateTemplate.btnMonthLeft, DateTemplate.btnMonthRight, DateTemplate.btnYearLeft, DateTemplate.btnYearRight)
		x.Color = XUI.Color_Transparent
	Next
	DateTemplate.lblMonth.Text.Replace("July", "I Don't Care")
	
	pnlLoadingIndicator.Visible = False
End Sub

Sub Activity_Resume
	pnlLoadingIndicator.Visible = False
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	pnlLoadingIndicator.Visible = False
End Sub

'=======================================================================================================================
'Verwenderinteraktion
'=======================================================================================================================

Sub btnDatum_Click
	'only CANCEL needed
	Wait For (Dialog.ShowTemplate(DateTemplate, "", "", "Abbrechen")) Complete (Result As Int)
	If Result = XUI.DialogResponse_Positive Then
		btnDatum.Text = DateTime.Date(DateTemplate.Date)
	End If
End Sub